
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was stdair-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/cmake/stdair" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

#
# Config file for the StdAir package. It defines the following variables:
#  STDAIR_VERSION      - version of StdAir
#  STDAIR_BINARY_DIRS  - binary directories for StdAir
#  STDAIR_INCLUDE_DIRS - include directories for StdAir
#  STDAIR_LIBRARY_DIRS - library directories for StdAir (normally not used!)
#  STDAIR_LIBRARIES    - libraries to link against
#  STDAIR_EXECUTABLES  - the stdair binaries/executables
#  STDAIR_SAMPLE_DIR   - the stdair (CSV) sample files

# Tell the user project where to find the headers, libraries and sample files
set (STDAIR_VERSION "1.00.19")
set (STDAIR_BINARY_DIRS "/usr/bin")
set (STDAIR_INCLUDE_DIRS "/usr/include")
set (STDAIR_LIBRARY_DIRS "/usr/lib")
set (STDAIR_SAMPLE_DIR "/usr/share/stdair/samples")

# Our library dependencies (contains definitions for IMPORTED targets)
include ("/usr/lib/cmake/stdair/stdair-library-depends.cmake")

# These are IMPORTED targets created by stdair-library-depends.cmake
set (STDAIR_LIBRARIES stdairlib stdairuicllib)
set (STDAIR_EXECUTABLES stdair)
